//
//  TKProgressWindow.h
//  Created by Devin Ross on 4/29/10.
//
/*
 
 tapku || http://github.com/devinross/tapkulibrary
 
 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the "Software"), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:
 
 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.
 
 */


@import UIKit;
#import "TKProgressBarView.h"

/** A simple alert view with a progress view. */
@interface TKProgressAlertView : UIAlertView 

/** Initializes a progress alert view with a title.
 @param title The title of the progress alert.
 @return A newly create progress alert view.
 */
- (id) initWithProgressTitle:(NSString*)title;

///----------------------------
/// @name Properties
///----------------------------

/** The progress bar view */
@property (nonatomic,strong) TKProgressBarView *progressBar;

/** The title label for the alert. */
@property (nonatomic,strong) UILabel *label;

///----------------------------
/// @name Displaying and hiding alert
///----------------------------

/** Show the alert */
- (void) show;

/** Hide the alert */
- (void) hide;

@end